python-oslo.versionedobjects_1.31.2-0ubuntu3_all.deb


Advertisement

Description

python-oslo.versionedobjects - deals with DB schema versions and code expectations - Python 2.x

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name python-oslo.versionedobjects
Package version 1.31.2
Package release 0ubuntu3
Package architecture all
Package type deb
Installed size 359 B
Download size 54.64 KB
Official Mirror archive.ubuntu.com
oslo.versionedobjects library deals with DB schema being at different versions
than the code expects, allowing services to be operated safely during
upgrades. It enables DB independent schema by providing an abstraction layer,
which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
also used in RPC APIs, to ensure upgrades happen without spreading version
dependent code across different services and projects.
This package contains the Python 2.x module.

Alternatives

Package Version Architecture Repository
python-oslo.versionedobjects_1.31.2-0ubuntu3_all.deb 1.31.2 all Ubuntu Main
python-oslo.versionedobjects - - -

Requires

Name Value
python-fixtures -
python-iso8601 -
python-netaddr -
python-oslo.concurrency >= 3.20.0
python-oslo.config >= 1:5.1.0
python-oslo.context >= 2.19.2
python-oslo.i18n >= 3.15.3
python-oslo.log >= 3.30.0
python-oslo.messaging >= 5.29.0
python-oslo.serialization >= 2.18.0
python-oslo.utils >= 3.33.0
python-six >= 1.10.0
python-webob >= 1.7.1
python:any << 2.8
python:any >= 2.7.5-5~

Replaces

Name Value
python-oslo-versionedobjects << 0.3.0-1~

Download

Type URL
Binary Package python-oslo.versionedobjects_1.31.2-0ubuntu3_all.deb
Source Package python-oslo.versionedobjects

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-oslo.versionedobjects deb package:
    # sudo apt-get install python-oslo.versionedobjects

Files

Path
/usr/lib/python2.7/dist-packages/oslo.versionedobjects-1.31.2.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/oslo.versionedobjects-1.31.2.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/oslo.versionedobjects-1.31.2.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/oslo.versionedobjects-1.31.2.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/oslo.versionedobjects-1.31.2.egg-info/pbr.json
/usr/lib/python2.7/dist-packages/oslo.versionedobjects-1.31.2.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/oslo.versionedobjects-1.31.2.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/__init__.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/_i18n.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/_options.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/_utils.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/base.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/exception.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/fields.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/fixture.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/test.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/examples/__init__.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/examples/iot_bulb.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/locale/en_GB/LC_MESSAGES/oslo_versionedobjects.po
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/tests/__init__.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/tests/obj_fixtures.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/tests/test_exception.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/tests/test_fields.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/tests/test_fixture.py
/usr/lib/python2.7/dist-packages/oslo_versionedobjects/tests/test_objects.py
/usr/share/doc/python-oslo.versionedobjects/changelog.Debian.gz
/usr/share/doc/python-oslo.versionedobjects/copyright

Changelog

2018-04-17 - Corey Bryant <corey.bryant@canonical.com>
python-oslo.versionedobjects (1.31.2-0ubuntu3) bionic; urgency=medium
* d/p/dont-force-unicode-strings-for-UUID-coercion.patch:
This reverts and changes the fix provided by
d/p/Fixing-uuid-coerce-function-for-unicode-non-uuid-form.patch
(LP: #1763179).
2018-04-08 - Seyeong Kim <seyeong.kim@canonical.com>
python-oslo.versionedobjects (1.31.2-0ubuntu2) bionic; urgency=medium
* Fixing UUID coerce function for unicode non uuid form id (LP: #1760918)
- d/p/Fixing-uuid-coerce-function-for-unicode-non-uuid-form.patch
2018-02-12 - James Page <james.page@ubuntu.com>
python-oslo.versionedobjects (1.31.2-0ubuntu1) bionic; urgency=medium
* New upstream release for OpenStack Queens.
* d/control: Switch to using python3-sphinx.
* d/p/*: Drop, no longer needed.
2018-01-26 - James Page <james.page@ubuntu.com>
python-oslo.versionedobjects (1.31.1-0ubuntu1) bionic; urgency=medium
* New upstream release for OpenStack Queens.
* d/control: Align (Build-)Depends with upstream.
2017-12-08 - James Page <james.page@ubuntu.com>
python-oslo.versionedobjects (1.30.0-0ubuntu1) bionic; urgency=medium
* New upstream release for OpenStack Queens.
* d/control: Align (Build-)Depends with upstream.
* d/control: Bumped Standards-Version to 4.1.2.
2017-11-13 - James Page <james.page@ubuntu.com>
python-oslo.versionedobjects (1.29.0-0ubuntu1) bionic; urgency=medium
* New upstream release.
* d/control: Align (Build-)Depends with upstream.
2017-08-11 - Corey Bryant <corey.bryant@canonical.com>
python-oslo.versionedobjects (1.26.0-0ubuntu1) artful; urgency=medium
* New upstream release.
* d/control: Align (Build-)Depends with upstream.
* d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
sphinx extension until sphinx>=1.6.2 is available.
2017-07-07 - Corey Bryant <corey.bryant@canonical.com>
python-oslo.versionedobjects (1.25.0-0ubuntu1) artful; urgency=medium
* New upstream release.
* d/control: Align (Build-)Depends with upstream.
2017-06-02 - James Page <james.page@ubuntu.com>
python-oslo.versionedobjects (1.24.0-0ubuntu1) artful; urgency=medium
* New upstream release.
* d/control: Align (Build-)Depends with upstream.
2017-04-21 - James Page <james.page@ubuntu.com>
python-oslo.versionedobjects (1.23.0-0ubuntu1) artful; urgency=medium
[ Chuck Short ]
* New upstream release.
* d/control: Align (Build-)Depends with upstream.
[ James Page ]
* d/watch: Use tarballs.openstack.org.

See Also

Package Description
python-oslo.vmware-doc_2.26.0-0ubuntu1_all.deb VMware library for OpenStack projects - doc
python-oslo.vmware_2.26.0-0ubuntu1_all.deb VMware library for OpenStack projects - Python 2.7
python-osprofiler-doc_1.15.2-0ubuntu1_all.deb OpenStack Profiler Library - doc
python-osprofiler_1.15.2-0ubuntu1_all.deb OpenStack Profiler Library - Python 2.x
python-ovsdbapp_0.9.1-0ubuntu1_all.deb A library for creating OVSDB applications
python-padme-doc_1.1.1-2_all.deb mostly transparent proxy class for Python (documentation)
python-pam_0.4.2-13.2ubuntu4_amd64.deb Python interface to the PAM library
python-paramiko_2.0.0-1ubuntu1_all.deb Make ssh v2 connections (Python 2)
python-parsedatetime_2.4-2_all.deb Python module to parse human-readable date/time expressions
python-passlib_1.7.1-1_all.deb comprehensive password hashing framework
python-paste-doc_2.0.3+dfsg-4ubuntu1_all.deb tools for using a Web Server Gateway Interface stack - documentation
python-paste_2.0.3+dfsg-4ubuntu1_all.deb tools for using a Web Server Gateway Interface stack - Python 2.x
python-pastedeploy-tpl_1.5.2-4_all.deb load, configure, and compose WSGI applications and servers - templates
python-pastedeploy_1.5.2-4_all.deb load, configure, and compose WSGI applications and servers - Python 2.x
python-pastescript-doc_2.0.2-2_all.deb create file layouts for packages and serve webapps - documentation
Advertisement
Advertisement